Bug 239474 - Review Request: libkdcraw - A library for decoding RAW picture files
Summary: Review Request: libkdcraw - A library for decoding RAW picture files
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-05-08 17:41 UTC by Marcin Garski
Modified: 2007-12-13 03:04 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-01 20:03:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rdieter: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Marcin Garski 2007-05-08 17:41:10 UTC
Spec URL: http://manta.univ.gda.pl/~mgarski/fedora/libkdcraw.spec
SRPM URL: http://manta.univ.gda.pl/~mgarski/fedora/libkdcraw-0.1.0-1.src.rpm
Description: libkdcraw is a C++ interface around dcraw binary program used to decode RAW picture files. The library documentation is available on header files.

This library is used by kipi-plugins, digiKam and others kipi host programs.

Comment 1 Marcin Garski 2007-05-08 17:43:14 UTC
I'm not sure about package group, maybe System Environment/Libraries is better?

Comment 2 Philippe Valembois 2007-05-29 20:26:26 UTC
- Bad Source0 URL:
http://fedoraproject.org/wiki/Packaging/SourceURL#head-e27982f18a3bfd26b5b6ecbee113d2d8f3f006f2
- Package summary ends with a period
- Missing $RPM_OPT_FLAGS
- Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability). NOT in BuildRequires
- Builds on mock fc6-i386
- Rpmlint complains (I don't really know if it is important) :
W: libkdcraw-devel no-documentation

Comment 3 Marcin Garski 2007-05-29 21:23:46 UTC
(In reply to comment #2)
> - Bad Source0 URL:

Done

> - Package summary ends with a period

I don't see any period in summary

> - Missing $RPM_OPT_FLAGS

AFAIR %configure use %{optflags}

> - Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
> directory ownership and usability). NOT in BuildRequires

Done

> - Rpmlint complains (I don't really know if it is important) :
> W: libkdcraw-devel no-documentation

No that's not important

Spec URL: http://manta.univ.gda.pl/~mgarski/fedora/libkdcraw.spec
SRPM URL: http://manta.univ.gda.pl/~mgarski/fedora/libkdcraw-0.1.0-2.src.rpm

Comment 4 Rex Dieter 2007-05-30 15:50:24 UTC
Built in mock, rpmlint clean (except for W: libkdcraw-devel no-documentation).

my only suggestions would be to add to %configure:
--enable-new-ldflags
--disable-warnings

Otherwise, looks good, APPROVED.



Comment 5 Marcin Garski 2007-05-30 19:52:04 UTC
New Package CVS Request
=======================
Package Name: libkdcraw
Short Description: A library for decoding RAW picture files
Owners: mgarski@post.pl
Branches: FC-6 F-7
InitialCC: rdieter@math.unl.edu, gauret@free.fr

Comment 6 Tom "spot" Callaway 2007-05-31 14:18:00 UTC
cvs done.

Comment 7 Marcin Garski 2007-06-01 20:03:30 UTC
Import and build done. Thanks for review.

Comment 8 Marcin Garski 2007-12-12 21:14:29 UTC
Package Change Request
======================
Package Name: libkdcraw
New Branches: EL-5

Comment 9 Kevin Fenzi 2007-12-13 03:04:42 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.